[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 580: sizeof(): Parameter must be an array or an object that implements Countable
[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/session.php on line 636: sizeof(): Parameter must be an array or an object that implements Countable
The Bug Genie forums • PHP 7 compatibility
Page 1 of 1

PHP 7 compatibility

Posted: Tue Mar 14, 2017 12:01 am
by voarsh
Hi...

It's that time... when I have to look at all the software that I have running and work out what's going to notch up the PHP version and what isn't.

Very soon I will find a piece of software forcing PHP 7, and others are not compatible yet. Some have it planned and would like to know if Bug Genie will look at this soon?

If it isn't done it will force me to not update other software or go through the hassle of a machine separation just for one or two pieces of software....

Thanks.

Re: PHP 7 compatibility

Posted: Tue Mar 14, 2017 6:57 am
by zegenie
Hey there!

We're always working to make sure TBG runs with the newest versions of php possible. Our own hosting platform currently runs on php7, so you should have no issues with The Bug Genie when upgrading. If you should find any issues, please report the in our issue tracker (http://issues.thebuggenie.com) and they will be fixed continuously.

Re: PHP 7 compatibility

Posted: Mon Mar 05, 2018 9:01 am
by voarsh
Hi.

Two things:

The Bug Genie is not compatible with PHP 7.2.

When will 5.6 not be supported? You have a wip release (not sure of the release date) and the end of PHP 5.6 support is upcoming. Will the next release support 5.6 regardless?